org.apache.hc.client5.http.impl

## Class Operations

- java.lang.Object
- - org.apache.hc.client5.http.impl.Operations

    public final class Operations
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Operations.CompletedFuture<T>`

### Constructor Summary

Constructors
Constructor and Description
`Operations()`

### Method Summary

Methods
`static org.apache.hc.core5.concurrent.Cancellable` `cancellable(Future<?> future)`
`static org.apache.hc.core5.concurrent.Cancellable` `nonCancellable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Operations

    public Operations()

### Method Detail

#### nonCancellable

    public static org.apache.hc.core5.concurrent.Cancellable nonCancellable()

#### cancellable

    public static org.apache.hc.core5.concurrent.Cancellable cancellable(Future<?> future)